Subject: Re: let git grep consider sub projects

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Oct 2014 11:25:53 -0700

Olaf Hering <[email-masked]> writes:

> How can I teach 'git grep $string' to also consider subprojects?
>
> The build system of xen.git clones 4 other trees into a directory in its
> source tree during build. It would be nice if my 'git grep' searches
> also in these cloned subdirs. Somehow there must be some knowledge
> because 'git clean -dfx' leaves them alone, while 'git clean -dffx'
> wipes everything.
>
> Olaf
>
> PS: Sometimes I miss a 'git clean -dfx --also-sub-repos' useful to
> really clean everything before starting over.

Is "submodule foreach" under-advertised or with less than adequate
features?